Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.threed.jpct
Class Projector

    java.lang.Object
      com.threed.jpct.BufferedMatrix
          com.threed.jpct.Camera
              com.threed.jpct.Projector

All Implemented Interfaces:
  java.io.Serializable

public class Projector
extends Camera
implements java.io.Serializable

Projector is an extended Camera used for projecting textures into the scene.

See Also:
  `Texture`, Serialized Form

Field Summary

Fields inherited from class com.threed.jpct.Camera
`CAMERA_DONT_MOVE, CAMERA_MOVEDOWN, CAMERA_MOVEIN, CAMERA_MOVELEFT, CAMERA_MOVEOUT, CAMERA_MOVERIGHT, CAMERA_MOVEUP, DONT_SLIDE, ELLIPSOID_ALIGNED, ELLIPSOID_TRANSFORMED, SLIDE`

Constructor Summary
`Projector()`

Methods inherited from class com.threed.jpct.Camera
`adjustFovToNearPlane, align, convertDEGAngleIntoFOV, convertRADAngleIntoFOV, decreaseFOV, getBillBoardMatrix, getDirection, getDirection, getEllipsoidMode, getFarClippingPlane, getFOV, getFrustumOffsetX, getFrustumOffsetY, getMaxFOV, getMinFOV, getNearClippingPlane, getPosition, getPosition, getProjectionMatrix, getProjectionMatrix, getSideVector, getUpVector, getXAxis, getYAxis, getYFOV, getZAxis, increaseFOV, lookAt, moveCamera, moveCamera, rotateCameraAxis, rotateCameraX, rotateCameraY, rotateCameraZ, setBillBoardMatrix, setClippingPlanes, setEllipsoidMode, setFOV, setFovAngle, setFOVLimits, setFOVtoDefault, setFrustumOffset, setOrientation, setPosition, setPosition, setPositionToCenter, setYFOV, setYFovAngle, transform, transform`

Methods inherited from class com.threed.jpct.BufferedMatrix
`copyBackToFront, getBack, getFront, matMul, rotateAxis, rotateX, rotateY, rotateZ, setBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Projector

    public Projector()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD